## Apache Zeta Components Manual :: File Source for result_content_disposition.php

## Source for file result_content_disposition.php

Documentation is available at result_content_disposition.php

1. <?php
2. /**
3. * File containing the ezcMvcResultContentDisposition class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * This struct contains content disposition meta-data
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. class ezcMvcResultContentDisposition extends ezcBaseStruct
35. {
36. /**
37. * The disposition type (inline or attachment)
38. *
39. * @var string
40. */
41. public $type ;
43. /**
44. * The filename parameter, encoded as a UTF-8 string.
45. *
46. * @var string
47. */
48. public $filename ;
50. /**
51. * The creation date parameter
52. *
53. * @var DateTime
54. */
55. public $creationDate ;
57. /**
58. * The modification date parameter
59. *
60. * @var DateTime
61. */
62. public $modificationDate ;
64. /**
65. * The read date parameter
66. *
67. * @var DateTime
68. */
69. public $readDate ;
71. /**
72. * The size parameter
73. *
74. * @var int
75. */
76. public $size ;
78. /**
79. * Constructs a new ezcMvcResultContent.
80. *
81. * @param string $type
82. * @param string $filename
83. * @param DateTime $creationDate
84. * @param DateTime $modificationDate
85. * @param DateTime $readDate
86. * @param int $size
87. */
88. public function __construct ( $type = 'inline', $filename = null,
89. DateTime $creationDate = null, DateTime $modificationDate = null,
90. DateTime $readDate = null,
91. $size = null )
92. {
93. $this-> type = $type;
94. $this-> filename = $filename;
95. $this-> creationDate = $creationDate;
96. $this-> modificationDate = $modificationDate;
97. $this-> readDate = $readDate;
98. $this-> size = $size;
99. }
101. /**
102. * Returns a new instance of this class with the data specified by $array.
103. *
104. * $array contains all the data members of this class in the form:
105. * array('member_name'=>value).
106. *
107. * __set_state makes this class exportable with var_export.
108. * var_export() generates code, that calls this method when it
109. * is parsed with PHP.
110. *
111. * @param array(string=>mixed) $array
112. * @return ezcMvcResultContent
113. */
114. static public function __set_state ( array $array )
115. {
116. return new ezcMvcResultContent( $array['type'], $array['filename'],
117. $array['creationDate'], $array['modificationDate'],
118. $array['readDate'], $array['size'] );
119. }
120. }
121. ?>

Documentation generated by phpDocumentor 1.4.3